Several projects are in need of updates

To summarize a number of requests that have not received the love they deserve, all related to the creation of projects in GlotPress.

WordPress 3.8.x – The WordPress project needs a 3.8.x sub-project, should have been created when 3.8 was released, we’re @ 3.8.1 now.

bbPress 2.5.x – Three follow up versions has been released since 2.5 (3 months old). What does /trunk give us, 2.6 dev or 2.5.x?

BuddyPress 1.8.x, 1.9.x – The BuddyPress projects are desperately behind. We’re @ 1.9.1!

How are we to know what the trunk projects gives us when it’s such a disarray? All these projects has been requested multiple times by different people. Do we really have to nag every time new projects need to be created?

What happened to the discussed planning for polyglots? Are we going anywhere at all?

Ping @vanillalounge

#bbpress, #buddypress, #projects, #request, #wordpress